Subject: Re: bug#40405: System log files are world readable

From: Ludovic Courtès <[email-masked]>
Date: Tue, 07 Apr 2020 09:30:29 +0200

Hi,

Bengt Richter <[email-masked]> skribis:

> On +2020-04-07 00:07:14 +0200, Ludovic Courtès wrote:
>> Hi,
>> 
>> Ludovic Courtès <[email-masked]> skribis:
>> 
>> > In the meantime, the patch below fixes the syslogd problem.  Also
>> > attached is a patch for the accounting database, though that one is
>> > questionable.
>> 
>> I pushed the syslog bits along with a test as commit
>> d7113bb655ff80a868a9e624c913f9d23e6c63ad.  (I think already
>> world-readable files will remain world-readable though?)
>>
>
> Could build daemons do some kind of maintenance rebuild to chmod them?
> And maybe be scheduled to monitor new files for other mistakes as well?

Yes, we could do that, I just haven’t checked if this is necessary or
thought about how to do it.

> Meanwhile, could a superuser chmod them without affecting hashes?

Definitely.  (There’s no “hashing” involved for /var/log.)

Ludo’.